
Core - Bug # 45578

Status: Rejected Priority: Must have
Author: Johannes Goslar Category:
Created: 2013-02-18 Assigned To:
Updated: 2013-02-27 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: storeSessionData not working anymore with 4.5.23
Description

Hi,
please apologize if any setting of this issue is wrong, it is my first one.

We did an typo3-update to 4.5.23 from 4.1.15, everything worked well instead of one custom extension which stored session data.
Because of the big upgrade I expected some error in the extension but found nothing there. Further stepping into code reveals line
405 of class.tslib_feuserauth.php as the cause.
The whole if/else-statement will either clear the data or insert a new entry (if no timestamp was given), but when data got loaded from
the database via fetchSessionData sessionDataTimestamp will be set, thus neither branch of the if/else is hit and no data stored.
Working order is restored by changing to 4.5.22.

So the regression is between 4.5.22 and 4.5.23, it is related to http://forge.typo3.org/issues/34964.
Typo3 4.5 was missing the update statement, which 4.6 did have:
Present (4.6): https://review.typo3.org/#/c/16955/2/typo3/sysext/cms/tslib/class.tslib_feuserauth.php
Missing (4.5): https://review.typo3.org/#/c/16956/2/typo3/sysext/cms/tslib/class.tslib_feuserauth.php

For the moment we downgraded 4.5.22, but just adding the update-branch should probably restore working state.

Related issues:
related to Core - Bug # 45570: fe_session Data Change external payment checkout Resolved 2013-02-18
related to Core - Bug # 34964: FE Session record is never removed, even if no... Resolved 2012-03-17

History
#1 - 2013-02-18 17:19 - Markus Klein

Thanks for discovering this.

#2 - 2013-02-18 17:24 - Markus Klein

I cross-posted this ticket in the Core list.

#3 - 2013-02-18 18:17 - Thorsten Kahler
- Status changed from New to Rejected

I close this ticket because it's duplicate of #45570.
Thanks for investigating the reason for this issue!
